Debian Bug report logs - #707379
frogr: FTBFS: gstobject.h:283:3: error: unknown type name 'GStaticRecMutex'

version graph

Package: src:frogr; Maintainer for src:frogr is Alberto Garcia <berto@igalia.com>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 9 May 2013 08:12:02 UTC

Severity: serious

Tags: jessie, patch, sid, upstream

Found in version frogr/0.8-2

Fixed in version frogr/0.8-3

Done: Alberto Garcia <agarcia@igalia.com>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=700005

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alberto Garcia <agarcia@igalia.com>:
Bug#707379; Package src:frogr. (Thu, 09 May 2013 08:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Alberto Garcia <agarcia@igalia.com>. (Thu, 09 May 2013 08:12:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: frogr: FTBFS: gstobject.h:283:3: error: unknown type name 'GStaticRecMutex'
Date: Thu, 9 May 2013 09:48:21 +0200
Source: frogr
Version: 0.8-2
Severity: serious
Tags: jessie sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20130509 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[4]: Entering directory `/«PKGBUILDDIR»/src'
>   CC       frogr-frogr-about-dialog.o
>   CC       frogr-frogr-account.o
>   CC       frogr-frogr-add-tags-dialog.o
>   CC       frogr-frogr-add-to-group-dialog.o
>   CC       frogr-frogr-add-to-set-dialog.o
>   CC       frogr-frogr-auth-dialog.o
>   CC       frogr-frogr-config.o
>   CC       frogr-frogr-controller.o
>   CC       frogr-frogr-create-new-set-dialog.o
>   CC       frogr-frogr-details-dialog.o
>   CC       frogr-frogr-file-loader.o
>   CC       frogr-frogr-group.o
>   CC       frogr-frogr-live-entry.o
>   CC       frogr-frogr-location.o
>   CC       frogr-frogr-main-view.o
>   CC       frogr-frogr-model.o
>   CC       frogr-frogr-photoset.o
>   CC       frogr-frogr-picture.o
>   CC       frogr-frogr-settings-dialog.o
>   CC       frogr-frogr-util.o
> In file included from /usr/include/gstreamer-0.10/gst/gstelement.h:56:0,
>                  from /usr/include/gstreamer-0.10/gst/gstbin.h:27,
>                  from /usr/include/gstreamer-0.10/gst/gst.h:35,
>                  from frogr-util.c:30:
> /usr/include/gstreamer-0.10/gst/gstobject.h:283:3: error: unknown type name 'GStaticRecMutex'
> In file included from /usr/include/gstreamer-0.10/gst/gstpad.h:35:0,
>                  from /usr/include/gstreamer-0.10/gst/gstelement.h:57,
>                  from /usr/include/gstreamer-0.10/gst/gstbin.h:27,
>                  from /usr/include/gstreamer-0.10/gst/gst.h:35,
>                  from frogr-util.c:30:
> /usr/include/gstreamer-0.10/gst/gsttask.h:149:3: error: unknown type name 'GStaticRecMutex'
> /usr/include/gstreamer-0.10/gst/gsttask.h:183:57: error: unknown type name 'GStaticRecMutex'
> /usr/include/gstreamer-0.10/gst/gsttask.h:184:57: error: unknown type name 'GThreadPriority'
> In file included from /usr/include/gstreamer-0.10/gst/gstelement.h:57:0,
>                  from /usr/include/gstreamer-0.10/gst/gstbin.h:27,
>                  from /usr/include/gstreamer-0.10/gst/gst.h:35,
>                  from frogr-util.c:30:
> /usr/include/gstreamer-0.10/gst/gstpad.h:671:3: error: unknown type name 'GStaticRecMutex'
> In file included from /usr/include/gstreamer-0.10/gst/gstbin.h:27:0,
>                  from /usr/include/gstreamer-0.10/gst/gst.h:35,
>                  from frogr-util.c:30:
> /usr/include/gstreamer-0.10/gst/gstelement.h:545:3: error: unknown type name 'GStaticRecMutex'
> In file included from /usr/include/gstreamer-0.10/gst/gst.h:71:0,
>                  from frogr-util.c:30:
> /usr/include/gstreamer-0.10/gst/gsttrace.h:127:1: error: unknown type name 'GStaticMutex'
> make[4]: *** [frogr-frogr-util.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2013/05/09/frogr_0.8-2_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#707379; Package src:frogr. (Thu, 09 May 2013 12:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alberto Garcia <agarcia@igalia.com>:
Extra info received and forwarded to list. (Thu, 09 May 2013 12:06:08 GMT) Full text and rfc822 format available.

Message #10 received at 707379@bugs.debian.org (full text, mbox):

From: Alberto Garcia <agarcia@igalia.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 707379@bugs.debian.org
Subject: Re: Bug#707379: frogr: FTBFS: gstobject.h:283:3: error: unknown type name 'GStaticRecMutex'
Date: Thu, 9 May 2013 14:03:17 +0200
On Thu, May 09, 2013 at 09:48:21AM +0200, Lucas Nussbaum wrote:

> During a rebuild of all packages in sid, your package failed to
> build on amd64.

Hey, thanks for reporting this, I see what the problem is, I'll try to
fix it today.

Berto



Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=700005'. Request was from Alberto Garcia <agarcia@igalia.com> to control@bugs.debian.org. (Thu, 09 May 2013 12:27:11 GMT) Full text and rfc822 format available.

Added tag(s) upstream and patch. Request was from Alberto Garcia <agarcia@igalia.com> to control@bugs.debian.org. (Thu, 09 May 2013 12:27:12 GMT) Full text and rfc822 format available.

Reply sent to Alberto Garcia <agarcia@igalia.com>:
You have taken responsibility. (Thu, 09 May 2013 13:51:42 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 09 May 2013 13:51:42 GMT) Full text and rfc822 format available.

Message #19 received at 707379-close@bugs.debian.org (full text, mbox):

From: Alberto Garcia <agarcia@igalia.com>
To: 707379-close@bugs.debian.org
Subject: Bug#707379: fixed in frogr 0.8-3
Date: Thu, 09 May 2013 13:47:53 +0000
Source: frogr
Source-Version: 0.8-3

We believe that the bug you reported is fixed in the latest version of
frogr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707379@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alberto Garcia <agarcia@igalia.com> (supplier of updated frogr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 09 May 2013 15:36:34 +0300
Source: frogr
Binary: frogr frogr-data
Architecture: source amd64 all
Version: 0.8-3
Distribution: unstable
Urgency: low
Maintainer: Alberto Garcia <agarcia@igalia.com>
Changed-By: Alberto Garcia <agarcia@igalia.com>
Description: 
 frogr      - Flickr Remote Organizer for GNOME
 frogr-data - Flickr Remote Organizer for GNOME - data files
Closes: 707379
Changes: 
 frogr (0.8-3) unstable; urgency=low
 .
   * Don't make builds fail because of deprecated API (Closes: #707379).
     - allow-deprecated-api.patch: remove -DG_DISABLE_DEPRECATED and
       friends from CFLAGS.
     - debian/control: add dependency on dh-autoreconf.
     - debian/rules: run dh --with autoreconf
   * debian/copyright: update copyright years.
Checksums-Sha1: 
 0f26a18a60ba2e3fc8d5c1fcbc7c5f83d8119513 1962 frogr_0.8-3.dsc
 29d3b119750e15987d0adda0a731152a36c1f2df 3898 frogr_0.8-3.debian.tar.gz
 9ff8c40d1d3be446fd83f761551c8650112b63fd 283692 frogr_0.8-3_amd64.deb
 49e6897da89ceb1511da0537870610696f2188eb 2761728 frogr-data_0.8-3_all.deb
Checksums-Sha256: 
 218a3c3f3413d0ee4e834bed2117671c52fe6ba41ea49b14a15e9c0b6cb1a9bb 1962 frogr_0.8-3.dsc
 c967a0b61408399013de574c4808874500e2b880ed5d2ab261831d1673661203 3898 frogr_0.8-3.debian.tar.gz
 e2bb34b5806a999876e485953a2e2da2a43beb490bfaef64b23ffeaa369814d8 283692 frogr_0.8-3_amd64.deb
 92b5e2aad492410f681e65cb4501ba8be9684e4af87b3d9d2802e9cc13e5ac22 2761728 frogr-data_0.8-3_all.deb
Files: 
 ce05d13991d63acf14365e5f15625cdd 1962 graphics optional frogr_0.8-3.dsc
 0a4311ba5475f61a870c115e868d8435 3898 graphics optional frogr_0.8-3.debian.tar.gz
 1905c3acc96ceb7fe468709003d4c05a 283692 graphics optional frogr_0.8-3_amd64.deb
 0e7d58b248cd78da59eb98280a831658 2761728 graphics optional frogr-data_0.8-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBUYunpr4yGa8+1BNBAQiX9A//eiLFFKhYg5/oShKqozLz95HCZghx6DQx
ULYXHQdk/BSDXlML1QIM7iB7ct6fg+CuRw7sBjXq+cURypy+ItbR8tr/OUiS6/Vf
hyt/+s8JXF2+RuLNvZO/uM8LgC7A6tBpbeStkJ+9I4/NF3dTSjVwRpjLdCiklUP9
uw/A/mlPSwJR046SDu5bzjE9UDPuEcmDPCyOgx8nkTvGToW6/Idpxv31PftWRm1x
V7UUFmxk9n/j4ftMc8gf2xWpKdWCOpCmLs1d07zPS8ybMRLXdooTKrIQTQLGo8/S
kbMpPAyofmmGtHKNdQjpcGU2kzHyLHBkyHgl7df7FHkGTKYFG6+x+06mBRWcRiSU
AdNtsJjUFNsYuHYlx4iX0NeShTXFS3o2anpypJNvhHDrqgsq9fTL5fJpDAgZykV9
Y1F4KwpcwS49xWON2qq94/DVkqBm3uF2GJe6smlfC0VlLGVVNcUoTk/aPU3/QEkp
qFCLgQ7NM8ysrlGwrnoiXeXsQA1AqCV6/TJ6HJDXDU1n2G0gl5onz5sh3hFDKIQU
tWLObC+HTeRSWLSxdqtglF9Id9c5R8nIYZhM6q8Or7eWlAr1H38n2zYwsRIRlz9i
d2kMsylpQAGftSHdaEH2ALVdka0xncdLTNWd6FzjtYpZL2Xgx2c1nKIFhD/D66k1
2DeVWur6QaY=
=DJXw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Jun 2013 07:39:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:02:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.